#
# spec file for package rubygem-sassc
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-sassc
Version:        2.4.0
Release:        2.19
%define mod_name sassc
%define mod_full_name %{mod_name}-%{version}
# MANUAL
BuildRequires:  gcc-c++
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubydevel >= 2.0.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/sass/sassc-ruby
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-sassc-rpmlintrc
Source2:        gem2rpm.yml
Summary:        Use libsass with Ruby!
License:        MIT
Group:          Development/Languages/Ruby

%description
Use libsass with Ruby!.

%prep

%build

%install
%gem_install \
  --extconf-opts=--disable-march-tune-native \
  --doc-files="CHANGELOG.md LICENSE.txt README.md" \
  -f
%gem_cleanup
# MANUAL
find %{buildroot}%{_libdir} -name sassc-2.\*.info -delete
# /MANUAL

%gem_packages

%changelog
* Wed Sep  1 2021 Marcus Rueckert <mrueckert@suse.de>
- fix rpmlintrc naming which fixes the TW build with rpmlint 2
* Thu Jun 25 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.4.0
  * [Update libsass to 3.6.4](https://github.com/sass/sassc-ruby/pull/199)
  * [Use FFI::MemoryPointer instead of libc's malloc()](https://github.com/sass/sassc-ruby/pull/205)
  * [Test against Ruby 2.7.0](https://github.com/sass/sassc-ruby/pull/193)
* Mon Apr 27 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.3.0
  * [Fix rake gem:native task](https://github.com/sass/sassc-ruby/pull/196)
  * [disable lto flag for darwin + nix](https://github.com/sass/sassc-ruby/pull/166)
  * [Sort input file list](https://github.com/sass/sassc-ruby/pull/178)
  * [Set appropriate encoding for source_map](https://github.com/sass/sassc-ruby/pull/152)
  * [allow passing functions directly](https://github.com/sass/sassc-ruby/pull/162)
  * [always dispose data context](https://github.com/sass/sassc-ruby/pull/161)
  * [Update libsass to 3.6.3](https://github.com/sass/sassc-ruby/pull/164)
  * [Restore strip symbols](https://github.com/sass/sassc-ruby/pull/184)
  * [Default --march-tune-native to false](https://github.com/sass/sassc-ruby/pull/158)
  * [Fix compile issue on Mac OS X](https://github.com/sass/sassc-ruby/pull/174)
  * [Test on TruffleRuby in TravisCI](https://github.com/sass/sassc-ruby/pull/171)
  * [Use RbConfig::MAKEFILE_CONFIG['DLEXT'] instead of hardcoding extensions](https://github.com/sass/sassc-ruby/pull/173)
- Drop reproducible.patch
  (implemented in version 2.3.0 already)
* Sat Jan 11 2020 Bernhard Wiedemann <bwiedemann@suse.com>
- Add reproducible.patch to sort file list (boo#1041090)
- Compile with --extconf-opts=--disable-march-tune-native (boo#1100677)
* Tue Nov 12 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.2.1
  see installed CHANGELOG.md
* Tue Sep 10 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.2.0
  see installed CHANGELOG.md
* Wed Aug 21 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.1.0
  see installed CHANGELOG.md
* Sat Mar  2 2019 Stephan Kulow <coolo@suse.com>
- updated to version 2.0.1
  see installed CHANGELOG.md
* Sat Mar  2 2019 Stephan Kulow <coolo@suse.com>
- updated to version 2.0.1
  see installed CHANGELOG.md
  - **2.0.1**
  - [Relax FFI dependency](https://github.com/sass/sassc-ruby/pull/102)
* Thu Nov 22 2018 Stephan Kulow <coolo@suse.com>
- updated to version 2.0.0
  no changelog found
* Thu Jul  5 2018 factory-auto@kulow.org
- updated to version 1.12.1
  no changelog found
* Mon Jul  2 2018 factory-auto@kulow.org
- updated to version 1.12.0
  no changelog found
* Mon Jul  2 2018 factory-auto@kulow.org
- updated to version 1.12.0
  no changelog found
* Mon Jun 18 2018 bgeuken@suse.com
- Silence rpmlint warnings: devel-file-in-non-devel-package
* Mon Jun 18 2018 bgeuken@suse.com
- Initial checkin of rubygem-sassc, version 1.11.4
